# LTO breaks unit tests
%global _lto_cflags %nil

Name:		tlf
Version:	1.4.1
Release:	1%{?dist}
Summary:	Ham radio contest logger
License:	GPLv2+
URL:		https://github.com/Tlf/tlf
Source0:	%{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	%{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz.sig
Source2:	tlf-release-key.asc
BuildRequires:	gnupg2
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	glib2-devel
BuildRequires:	ncurses-devel
BuildRequires:	hamlib-devel
BuildRequires:	xmlrpc-c-devel
BuildRequires:	libcmocka-devel
Recommends:	xplanet
Recommends:	sox
Recommends:	cwdaemon
# Backported from upstream
Patch0:		tlf-1.4.1-hamlib-4.2-build-fix.patch

%description
Tlf is a console (ncurses) mode general purpose CW/VOICE keyer,
logging and contest program for hamradio. It supports the CQWW,
the WPX, the ARRL-DX , the ARRL-FD, the PACC and the EU SPRINT
contests (single operator) as well as a LOT MORE basic contests,
general QSO and DXpedition mode.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%configure --enable-fldigi-xmlrpc
%make_build

%install
%make_install

%check
cd test
make check

%files
%doc AUTHORS ChangeLog NEWS README.md
%doc %{_docdir}/%{name}/*
%license COPYING
%{_bindir}/tlf
%{_bindir}/play_vk
%{_bindir}/soundlog
%{_datadir}/%{name}
%{_mandir}/man1/*

%changelog
* Sun Jul  4 2021 Jaroslav Škarvada <jskarvad@redhat.com> - 1.4.1-1
- Initial version
